Bug 428123 - gdm segfaults at colour depth of 32
gdm segfaults at colour depth of 32
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-09 07:17 EST by Jonathan Underwood
Modified: 2009-01-09 00:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Relevant contents of /var/log/messages (123.21 KB, text/plain)
2008-01-09 07:18 EST, Jonathan Underwood
no flags Details

  None (edit)
Description Jonathan Underwood 2008-01-09 07:17:19 EST
Description of problem:
If I create this file /etc/xinetd.d/vnc

service vnc
disable         =       no
socket-type     =       stream
protocol        =       tcp
group           =       tty
wait            =       no
user            =       nobody
server          =       /usr/bin/Xvnc
server_args     =       -inetd :1 -query localhost -geometry 1024x768 -depth 32
-once -fp /usr/share/X11/fonts/misc/ -securitytypes=none

and add 
vnc           6900/tcp

to /etc/services

And then restart xinetd and run vncviewer localhost::6900 I should get a
vnclient with a gdm login window. Indeed I do if I change the above to -depth
24, but leaving it at -depth 32 GDM segfaults. /var/log/messages contents is
attached showing debug messages and the segfault.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See above.
Actual results:
GDM segfaults

Expected results:
GDM doesn't segfault.

Additional info:
Comment 1 Jonathan Underwood 2008-01-09 07:18:07 EST
Created attachment 291134 [details]
Relevant contents of /var/log/messages
Comment 2 Bug Zapper 2008-11-26 04:21:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 00:44:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.